> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets display currency 'rate curve' curve



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/RateAsset
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/RateAsset:
    post:
      tags:
        - RateAsset
      summary: Gets display currency 'rate curve' curve
      operationId: DisplayRateCurve
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetDiscountCurveMktDataRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetDiscountCurveMktDataRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetDiscountCurveMktDataRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetDiscountCurveMktDataRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetDiscountCurveMktDataResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetDiscountCurveMktDataRequest:
      example:
        currency: currency
        market_date: '2000-01-23T04:56:07.000+00:00'
      properties:
        market_data_environment_name:
          nullable: true
          type: string
        provider_id:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        market_date:
          format: date-time
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetDiscountCurveMktDataRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetDiscountCurveMktDataResponse:
      example:
        yield_curve_model:
          latest_market_date: '2000-01-23T04:56:07.000+00:00'
          data:
            - maturity: 0
              rate: 6.027456183070403
              fitted_instrument_name: fitted_instrument_name
              expiry: '2000-01-23T04:56:07.000+00:00'
              fitted_instrument_rate: 1.4658129805029452
            - maturity: 0
              rate: 6.027456183070403
              fitted_instrument_name: fitted_instrument_name
              expiry: '2000-01-23T04:56:07.000+00:00'
              fitted_instrument_rate: 1.4658129805029452
          currency: currency
          market_date: '2000-01-23T04:56:07.000+00:00'
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        provider_id:
          nullable: true
          type: string
        yield_curve_model:
          $ref: '#/components/schemas/YieldCurveModel'
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetDiscountCurveMktDataResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    YieldCurveModel:
      example:
        latest_market_date: '2000-01-23T04:56:07.000+00:00'
        data:
          - maturity: 0
            rate: 6.027456183070403
            fitted_instrument_name: fitted_instrument_name
            expiry: '2000-01-23T04:56:07.000+00:00'
            fitted_instrument_rate: 1.4658129805029452
          - maturity: 0
            rate: 6.027456183070403
            fitted_instrument_name: fitted_instrument_name
            expiry: '2000-01-23T04:56:07.000+00:00'
            fitted_instrument_rate: 1.4658129805029452
        currency: currency
        market_date: '2000-01-23T04:56:07.000+00:00'
      properties:
        currency:
          nullable: true
          type: string
        data:
          items:
            $ref: '#/components/schemas/YieldCurvePoint'
          nullable: true
          type: array
        latest_market_date:
          format: date-time
          type: string
        market_date:
          format: date-time
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.YieldCurveModel, Derivitec.Web.Core
      required:
        - $type
      type: object
    YieldCurvePoint:
      example:
        maturity: 0
        rate: 6.027456183070403
        fitted_instrument_name: fitted_instrument_name
        expiry: '2000-01-23T04:56:07.000+00:00'
        fitted_instrument_rate: 1.4658129805029452
      properties:
        expiry:
          format: date-time
          type: string
        maturity:
          format: int32
          type: integer
        rate:
          format: double
          type: number
        fitted_instrument_name:
          nullable: true
          type: string
        fitted_instrument_rate:
          format: double
          nullable: true
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.YieldCurvePoint, Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````